Page MenuHomePhabricator

User contributions is incorrect at the same timestamp
Closed, DuplicatePublic

Description

If it is the same timestamp history the display will be broken. Is the character string passed to offset overflow?

A lot of same time stamp user contributions are prepared. Delete all or Bot or Message delivery system or Roll back. The same time must match up to the second.

For example, prepare 50 cases. There is a mistake in turn in comparison between User contributions display limit 20 and limit 50. If it is display limit20, setting older 20 is different from the display of limit 50. What is different is the order, the history itself is not displayed.

For example. jawiki User:Marine-Blue contributions.

offset "2016-08-24T06:53:37" limit "54"
https://ja.wikipedia.org/w/index.php?title=%E7%89%B9%E5%88%A5:%E6%8A%95%E7%A8%BF%E8%A8%98%E9%8C%B2/Marine-Blue&offset=20160824065337&limit=54&target=Marine-Blue

Five from the bottom:

2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+29)? . . N 利用者:Ssat224 (WP:ILLEGIT) (最新)
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+1,437)? . . m 利用者‐会話:Ssat224 (WP:ILLEGIT) (最新)
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+29)? . . N 利用者:Dife49 (WP:ILLEGIT) (最新)
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+1,437)? . . N 利用者‐会話:Dife49 (WP:ILLEGIT) (最新)
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+1,437)? . . m 利用者‐会話:Ciolar (WP:ILLEGIT) (最新)

next. older 54.
https://ja.wikipedia.org/w/index.php?title=%E7%89%B9%E5%88%A5:%E6%8A%95%E7%A8%BF%E8%A8%98%E9%8C%B2/Marine-Blue&offset=20160811173336&limit=54&target=Marine-Blue

Four from the top:

2016年8月11日 (木) 16:26 (差分 | 履歴) . . (+8)? . . m 利用者‐会話:210.4.242.26 (→?投稿ブロックへの異議申し立て)
2016年8月11日 (木) 16:25 (差分 | 履歴) . . (+258)? . . 利用者‐会話:210.4.242.26 (→?投稿ブロックへの異議申し立て: 終了)
2016年8月9日 (火) 16:33 (差分 | 履歴) . . (+1,318)? . . N 利用者‐会話:Taiko20 (sockpuppet: 利用者:Taiko0814) (最新)
2016年8月9日 (火) 16:31 (差分 | 履歴) . . (+1,318)? . . N 利用者‐会話:Goldangelvoice (sockpuppet: 利用者:Taiko0814) (最新)

For contribution "利用者‐会話:Ciolar" and "利用者‐会話:210.4.242.26" must follow.

next.offset "2016-08-24T06:53:37" limit "100"
https://ja.wikipedia.org/w/index.php?title=%E7%89%B9%E5%88%A5:%E6%8A%95%E7%A8%BF%E8%A8%98%E9%8C%B2/Marine-Blue&offset=20160824065337&limit=100&target=Marine-Blue

Five after "2016年8月11日 (木) 16:26 利用者‐会話:210.4.242.26"

2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+29)? . . N 利用者:Tihaoeg (WP:ILLEGIT) (最新)
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+1,437)? . . m 利用者‐会話:Tihaoeg (WP:ILLEGIT) (最新) [1編集を巻き戻し]
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+29)? . . N 利用者:Ciolar (WP:ILLEGIT) (最新)
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+1,437)? . . m 利用者‐会話:Ciolar (WP:ILLEGIT) (最新) [1編集を巻き戻し]
2016年8月11日 (木) 17:33 (差分 | 履歴) . . (+29)? . . N 利用者:Gihoig (WP:ILLEGIT) (最新)
2016年8月11日 (木) 16:26 (差分 | 履歴) . . (+8)? . . m 利用者‐会話:210.4.242.26 (→?投稿ブロックへの異議申し立て)

The top of "利用者‐会話:210.4.242.26" is "利用者:Gihoig". In the previous Limit 54, "利用者: Gihoig" was not displayed. Is not this an unexpected error?

Roll backer, Sysop, Steward, Bot etc may be affected. However, correct display can be made if Limit is set large.

Thank you for checking so far.

HI. @Aklapper.
Although this task was closed, I explained about reproducibility. I may be mistake because I am not good at English.

Event Timeline

altocool created this task.Jul 25 2018, 5:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 25 2018, 5:04 PM
Framawiki renamed this task from User contributions is incorrect at the same time stamp. to User contributions is incorrect at the same timestamp.Jul 25 2018, 5:59 PM

Hi @altocool, thanks for taking the time to report this!
Unfortunately this report lacks some information. If you have time and can still reproduce the problem: Please add a more complete description to this report, including separate sections for

  • a clear list of specific steps to reproduce the situation, as little details sometimes matter, so that nobody needs to guess how you performed each step
  • describing actual results
  • describing expected results

You can edit the task description by clicking Edit Task.
Ideally, exact and clear steps to reproduce should allow any other person to follow these steps (without having to interpret those steps) and see the same results. Problems that others can reliably reproduce can get fixed faster. Thanks!

altocool updated the task description. (Show Details)Jul 26 2018, 9:20 AM